ChangeSet 1.1318.4.10, 2003/06/17 10:56:56-07:00, david-b@pacbell.net

[PATCH] USB: net2280, halt ep != 0

Fix from Al.Borchers@guidant.com, should fix a chapter 9
test conformance issue.


 drivers/usb/gadget/net2280.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/gadget/net2280.c b/drivers/usb/gadget/net2280.c
--- a/drivers/usb/gadget/net2280.c	Wed Jun 18 11:14:54 2003
+++ b/drivers/usb/gadget/net2280.c	Wed Jun 18 11:14:54 2003
@@ -2222,7 +2222,7 @@
 			/* hw handles device features */
 			if (u.r.bRequestType != USB_RECIP_ENDPOINT)
 				goto delegate;
-			if (u.r.wIndex != 0 /* HALT feature */
+			if (u.r.wValue != 0 /* HALT feature */
 					|| u.r.wLength != 0)
 				goto do_stall;
 			if ((e = get_ep_by_addr (dev, u.r.wIndex)) == 0)
@@ -2239,7 +2239,7 @@
 			/* hw handles device features */
 			if (u.r.bRequestType != USB_RECIP_ENDPOINT)
 				goto delegate;
-			if (u.r.wIndex != 0 /* HALT feature */
+			if (u.r.wValue != 0 /* HALT feature */
 					|| u.r.wLength != 0)
 				goto do_stall;
 			if ((e = get_ep_by_addr (dev, u.r.wIndex)) == 0)
